Subject: ARM, SoC: About the use DT-defined properties by 3rd-party drivers

From: [email-masked] (Timur Tabi)
Date: Mon, 12 Sep 2016 11:49:07 -0500

Warner Losh wrote:
> Do I have more examples
> where FreeBSD has to deviate because the DT is actually Linux
> specific and does a poor job of modeling the hardware and instead
> reflects the Linux driver model? I have plenty of those...

I think it would be a great idea if the FreeBSD and Linux DT maintainers 
collaborated on cleaning up the DT bindings so that this problem no 
longer occurs (or at least, not normally).

I would love to see some of those examples.